Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis2.dataretrieval
Class SchemaDataLocator

    java.lang.Object
      org.apache.axis2.dataretrieval.BaseAxisDataLocator
          org.apache.axis2.dataretrieval.SchemaDataLocator

All Implemented Interfaces:
  AxisDataLocator

    public class SchemaDataLocator

extends BaseAxisDataLocator
implements AxisDataLocator

Axis 2 Data Locator responsibles for retrieving Schema metadata. The class is created as model for schema specific data locator; and also easier for any future implementation schema specific data retrieval logic.

Field Summary

Fields inherited from class org.apache.axis2.dataretrieval.BaseAxisDataLocator
`dataList`

Constructor Summary
`protected` | `SchemaDataLocator()`
`protected` | `SchemaDataLocator(ServiceData[] data)` Constructor

Method Summary
`Data[]` | `getData(DataRetrievalRequest request, MessageContext msgContext)` The default Axis2 Data locator getData API Checks data information configured in ServiceData.xml for the supported output forms: inline, url, EndpointReference.
`protected Data[]` | `outputInlineForm(MessageContext msgContext, ServiceData[] serviceData)`
`protected Data[]` | `outputLocationForm(ServiceData[] serviceData)`

Methods inherited from class org.apache.axis2.dataretrieval.BaseAxisDataLocator
`getOutputForm, outputReferenceForm, setServiceData`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SchemaDataLocator

    protected SchemaDataLocator()

### SchemaDataLocator

    protected SchemaDataLocator(ServiceData[] data)

  Constructor

Method Detail

### getData

    public Data[] getData(DataRetrievalRequest request,
                          MessageContext msgContext)
                   throws DataRetrievalException

  Description copied from class: `BaseAxisDataLocator`
  The default Axis2 Data locator getData API Checks data information configured in ServiceData.xml for the supported output forms: inline, url, EndpointReference.

  Note: Subclass that has its implementation of outInlineForm, outputLocationForm, and outputReferenceForm logic must implement the getData API.

  Specified by:
    `getData` in interface `AxisDataLocator`
  Overrides:
    `getData` in class `BaseAxisDataLocator`
  Parameters:
    `request` - The `DataRetrievalRequest` allow to specify parameters about the request, and additional information to process the request.
    `msgContext` - The `MessageContext` from the original request.
  Returns:
    `Data`[] for the request.
  Throws:
    `DataRetrievalException`

### outputInlineForm

    protected Data[] outputInlineForm(MessageContext msgContext,
                                      ServiceData[] serviceData)
                               throws DataRetrievalException

  Overrides:
    `outputInlineForm` in class `BaseAxisDataLocator`
  Throws:
    `DataRetrievalException`

### outputLocationForm

    protected Data[] outputLocationForm(ServiceData[] serviceData)
                                 throws DataRetrievalException

  Overrides:
    `outputLocationForm` in class `BaseAxisDataLocator`
  Throws:
    `DataRetrievalException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2011 The Apache Software Foundation. All Rights Reserved.